public class Weapon {
    private String name; // AKM
    private int damage; // 9999

    public Weapon(String name, int damage) {
        this.name = name;
        this.damage = damage;
    }

    // 升级武器，增加伤害值
    public void upgrade() {
        damage += 10; // 每次升级增加10点伤害
        System.out.println(name + " 升级成功！当前伤害: " + damage);
    }

    public int getDamage() {
        return damage;
    }

    @Override
    public String toString() {
        return "M416: " + name + ", 9999: " + damage;
    }
}